Subject: Re: removing get_immrbase()??

From: Timur Tabi <[email-masked]>
Date: Wed, 22 Apr 2009 15:16:28 -0500

Scott Wood wrote:
> Timur Tabi wrote:
>>>        these two are related and seem like we could look for "fsl,cpm2"
>> That's okay, as long as you don't break compatibility with older
>> device trees that don't have that property, unless you can demonstrate
>> that these trees would never work with the current kernel anyway.
> 
> All CPM2 device trees should have fsl,cpm2 listed in the compatible of 
> the CPM node.

Yes, but did they always have that compatible field?  I'm concerned
about situations where someone updates his kernel but not his device
tree.  This is a scenerio that we always need to try to support.

-- 
Timur Tabi
Linux kernel developer at Freescale